Bug 352691 - Fax queues never get re-enabled
Fax queues never get re-enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal-cups-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2007-10-25 12:40 EDT by Tim Waugh
Modified: 2008-02-26 11:56 EST (History)
0 users

See Also:
Fixed In Version: 0.6.14-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 11:56:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2007-10-25 12:40:40 EDT
Description of problem:
When a fax printer is disconnected or switched off, hal-cups-utils disabled the
queue.  The queue does not get re-enabled when the printer is re-connected or
switched on.

Version-Release number of selected component (if applicable):
hal-cups-utils-0.6.13-1.fc8
selinux-policy-3.0.8-32.fc8

How reproducible:
100%

Steps to Reproduce:
1.Remove all print queues.
2.Switch on connected USB HP fax printer.
3.Switch off printer or disconnect it.
4.lpstat -t -- note that it is now disabled
5.Switch on printer.
6.lpstat -t

Actual results:
Printer still disabled.

Expected results:
Printer re-enabled.
Comment 1 Tim Waugh 2008-02-12 10:56:34 EST
This was worked around for Fedora 8 by just never disabling queues.

Let's see if Fedora 9 suffers the same problem with hal-cups-utils-0.6.14.
Comment 2 Tim Waugh 2008-02-26 11:56:17 EST
Seems to work fine with 0.6.14-1.fc9.

Note You need to log in before you can comment on or make changes to this bug.